Hooks:PostHook( WeaponFactoryTweakData, "init", "can", function(self)

self.parts.wpn_fps_smg_shepheard_mag_extended.stats = {extra_ammo_new = 15, total_ammo_mod = 25, concealment = -2}

self.parts.wpn_fps_smg_mp7_m_extended.stats = {extra_ammo_new = 20, total_ammo_mod = 30, concealment = -2}

self.parts.wpn_fps_smg_mp7_s_long.stats = {concealment = -3, recoil = 4}

self.parts.wpn_fps_smg_mp5_m_straight.stats = {recoil = -2, spread = 1, damage = 25, ammo_pickup_min_mul = 0.7, ammo_pickup_max_mul = 0.7}

end )

--[[

replace the entire "weapon mod id here" bit so that only the weapon id is between the dots (for example "self.parts.wpn_fps_upg_ns_ass_smg_stubby.stats")

if you don't want a mod to modify a stat, remove it from the line. remember to keep them separated by a comma and a space. unlike in gun-stats.lua, leaving a stat unchanged will result in that stat not being changed by the mod instead of being kept as vanilla (for example, if a mod adds 2 concealment, but you change it here to only have "spread = 1", it will now only add 4 accuracy, without the concealment bonus. If you want to keep the vanilla concealment bonus, you need to include both, for example, "spread = 1, concealment = 2")

if you want to add to the value, don't add any prefix (recoil = 1 will add 4 stability). if you want to subtract from the value, add a minus (recoil = -1 will subtract 4 stability).

extra_ammo_new doesn't get doubled (so extra_ammo_new = 1 will add 1 round to the mod) but requires WeaponLib, extra_ammo gets doubled (so extra_ammo = 1 will add 2 rounds to the mod) but doesn't require anything but SuperBLT.

total_ammo_mod's value gets multiplied in some weird way, I'm not yet sure if it scales to the base total ammo or if it gets multiplied by a set value. Experiment a bit with it to get it right.

spread and recoil get multiplied by 4, so spread = 1 will add 4 accuracy to the mod or recoil = -1 will deduct 4 stability from the mod

the reload stat is all sorts of weird. the max values are 10 and -10. positive values reduce the reload time (10 reduces it by 50%, 5 by 33%), negative values increase the reload time (-10 increases it by 100%, -5 by 33%).

remember that lower suppression and alert_size values mean higher threat and alert radius. if you want to lower these stats, you need to add to the value (suppression = 1 will lower the threat stat), and if you want to increase them, you need to subtract from that value (alert_size = -1 will increase the distance on which the gun is audible). distance tables for alert_size in READ ME FIRST.txt

ammo_pickup_min_mul is the multiplier for the minimal ammo pickup (for example, if the base minimum pickup is 2, ammo_pickup_min_mul = 2 will double it). values of 0.5 and below are broken and completely disable ammo pickup.

ammo_pickup_max_mul is the multiplier for the maximum ammo pickup (for example, if the base maximum pickup is 4, ammo_pickup_max_mul = 2 will double it). values of 0.5 and below are broken and completely disable ammo pickup.

ammo pickup multipliers also nullify the effects of skills that increase ammo pickup. it's a bug within the game, and not a problem within any mod in particular.

rof_mult is a multiplier for the rate of fire stat and it requires WeaponLib. If you want your weapon mod to, for example, increase the fire rate from 600 to 750, you have to set it to 1.25 (600 * 1.25 = 750). If you want to set it to 450, set it to 0.75 (600 * 0.75 = 450).

if you don't want any of your weapon mods to modify the ammo pickup or the rate of fire, remove the entire line (or just the specific stat you don't want).

override allows you to give different stats for the same mod on a different weapon (for example, DMR kits on the CAR and AK rifles adding different amounts of damage). full weapon id is the id that includes the class of the weapon (so for example "wpn_fps_ass_m16" instead of just "m16". These can be found in the "Factory ID" tab on https://wiki.modworkshop.net/books/payday-2/page/weapon-mods.

weapon mod ids can be found either at https://payday.fandom.com/wiki/Weapons_(Payday_2) on the specific weapons' sites or on https://wiki.modworkshop.net/books/payday-2/page/weapon-mods in a big list all together.

]]